package com.mortals.xhx.modules.call.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:CallRecord
* date: 2021-8-12 14:15:33
*/
public class CallRecordEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1628748933889L;


    /**
    * 办件id
    */
    private Long pieceId;

    /**
    * 当前步骤名称
    */
    private String currentStepName;

    /**
    * 当前步骤编码
    */
    private String currentStepCode;

    /**
    * 传入报文
    */
    private String incomingMessage;

    /**
    * 返回报文
    */
    private String returnMessage;

    /**
    * 接口调用时间
    */
    private Date interfaceCallTime;

    /**
    * 调用状态
    */
    private String interfaceCallStatus;

    /**
    * 系统编码
    */
    private String systemCode;

    /**
    * 创建时间
    */
    private Date createDate;

    /**
    * 更新时间
    */
    private Date updateDate;

    public CallRecordEntity(){

    }
    /**
    * 获取 办件id
    * @return pieceId
    */
    public Long getPieceId() {
        return this.pieceId;
    }
    /**
    * 设置 办件id
    * @param pieceId
    */
    public void setPieceId(Long pieceId) {
        this.pieceId = pieceId;
    }
    /**
    * 获取 当前步骤名称
    * @return currentStepName
    */
    public String getCurrentStepName() {
        return this.currentStepName;
    }
    /**
    * 设置 当前步骤名称
    * @param currentStepName
    */
    public void setCurrentStepName(String currentStepName) {
        this.currentStepName = currentStepName;
    }
    /**
    * 获取 当前步骤编码
    * @return currentStepCode
    */
    public String getCurrentStepCode() {
        return this.currentStepCode;
    }
    /**
    * 设置 当前步骤编码
    * @param currentStepCode
    */
    public void setCurrentStepCode(String currentStepCode) {
        this.currentStepCode = currentStepCode;
    }
    /**
    * 获取 传入报文
    * @return incomingMessage
    */
    public String getIncomingMessage() {
        return this.incomingMessage;
    }
    /**
    * 设置 传入报文
    * @param incomingMessage
    */
    public void setIncomingMessage(String incomingMessage) {
        this.incomingMessage = incomingMessage;
    }
    /**
    * 获取 返回报文
    * @return returnMessage
    */
    public String getReturnMessage() {
        return this.returnMessage;
    }
    /**
    * 设置 返回报文
    * @param returnMessage
    */
    public void setReturnMessage(String returnMessage) {
        this.returnMessage = returnMessage;
    }
    /**
    * 获取 接口调用时间
    * @return interfaceCallTime
    */
    public Date getInterfaceCallTime() {
        return this.interfaceCallTime;
    }
    /**
    * 设置 接口调用时间
    * @param interfaceCallTime
    */
    public void setInterfaceCallTime(Date interfaceCallTime) {
        this.interfaceCallTime = interfaceCallTime;
    }
    /**
    * 获取 调用状态
    * @return interfaceCallStatus
    */
    public String getInterfaceCallStatus() {
        return this.interfaceCallStatus;
    }
    /**
    * 设置 调用状态
    * @param interfaceCallStatus
    */
    public void setInterfaceCallStatus(String interfaceCallStatus) {
        this.interfaceCallStatus = interfaceCallStatus;
    }
    /**
    * 获取 系统编码
    * @return systemCode
    */
    public String getSystemCode() {
        return this.systemCode;
    }
    /**
    * 设置 系统编码
    * @param systemCode
    */
    public void setSystemCode(String systemCode) {
        this.systemCode = systemCode;
    }
    /**
    * 获取 创建时间
    * @return createDate
    */
    public Date getCreateDate() {
        return this.createDate;
    }
    /**
    * 设置 创建时间
    * @param createDate
    */
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
    /**
    * 获取 更新时间
    * @return updateDate
    */
    public Date getUpdateDate() {
        return this.updateDate;
    }
    /**
    * 设置 更新时间
    * @param updateDate
    */
    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof CallRecordEntity) {
            CallRecordEntity tmp = (CallRecordEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",pieceId:").append(getPieceId())
                .append(",currentStepName:").append(getCurrentStepName())
                .append(",currentStepCode:").append(getCurrentStepCode())
                .append(",incomingMessage:").append(getIncomingMessage())
                .append(",returnMessage:").append(getReturnMessage())
                .append(",interfaceCallTime:").append(getInterfaceCallTime())
                .append(",interfaceCallStatus:").append(getInterfaceCallStatus())
                .append(",systemCode:").append(getSystemCode())
                .append(",createDate:").append(getCreateDate())
                .append(",updateDate:").append(getUpdateDate())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.pieceId = null;
         this.currentStepName = null;
         this.currentStepCode = null;
         this.incomingMessage = null;
         this.returnMessage = null;
         this.interfaceCallTime = null;
         this.interfaceCallStatus = null;
         this.systemCode = null;
         this.createDate = null;
         this.updateDate = null;
    }
}